Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QDragMoveEvent Class Reference

The QDragMoveEvent class provides an event which is sent while a drag-and-drop is in progress. More...

`#include <qevent.h>`

Inherits QDropEvent.

Inherited by QDragEnterEvent.

List of all member functions.

## Public Members

- QDragMoveEvent ( const QPoint & pos, Type type = DragMove )
- QRect answerRect () const
- void accept ( const QRect & r )
- void ignore ( const QRect & r )

## Detailed Description

The QDragMoveEvent class provides an event which is sent while a drag-and-drop is in progress.

When a widget accepts drop events, it will receive this event repeatedly while the drag is within the widget's boundaries. The widget should examine the event to see what data it provides, and accept() the drop if appropriate.

Note that this class inherits most of its functionality from QDropEvent.

See also Drag And Drop Classes and Event Classes.

## Member Function Documentation

### QDragMoveEvent::QDragMoveEvent ( const QPoint & pos, Type type = DragMove )

Creates a QDragMoveEvent for which the mouse is at point pos, and the event is of type type.

Do not create a QDragMoveEvent yourself since these objects rely on Qt's internal state.

### void QDragMoveEvent::accept ( const QRect & r )

The same as accept(), but also notifies that future moves will also be acceptable if they remain within the rectangle r on the widget: this can improve performance, but may also be ignored by the underlying system.

If the rectangle is empty, then drag move events will be sent continuously. This is useful if the source is scrolling in a timer event.

### QRect QDragMoveEvent::answerRect () const

Returns the rectangle for which the acceptance of the move event applies.

### void QDragMoveEvent::ignore ( const QRect & r )

The opposite of accept(const QRect&), i.e. says that moves within rectangle r are not acceptable (will be ignored).

Example: dirview/dirview.cpp.

This file is part of the Qt toolkit. Copyright © 1995-2002 Trolltech. All Rights Reserved.